RelayAPI

List contacts with filtering and pagination

GET
/v1/contacts
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Query Parameters

workspace_id?string

Filter by workspace ID

search?string

Search by name, phone, or email

Lengthlength <= 320
tag?string

Filter by tag

segment_id?string

Filter by static or dynamically-derived segment membership

platform?string

Filter by platform

account_id?string

Filter by social account ID

cursor?string

Pagination cursor

limit?integer

Number of items

Range1 <= value <= 100
Default20

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/contacts"
{  "data": [    {      "channels": [        {          "created_at": "2019-08-24T14:15:22Z",          "id": "string",          "identifier": "string",          "platform": "string",          "social_account_id": "string"        }      ],      "created_at": "2019-08-24T14:15:22Z",      "email": "string",      "id": "string",      "metadata": {        "property1": null,        "property2": null      },      "name": "string",      "opted_in": true,      "phone": "string",      "segment_ids": [        "string"      ],      "tags": [        "string"      ],      "updated_at": "2019-08-24T14:15:22Z",      "workspace_id": "string"    }  ],  "has_more": true,  "next_cursor": "string"}

Found something wrong? Help us improve this page.